Create a household
curl --request POST \
--url https://api.vegaminds.com/v1/households \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Ellis family",
"household_type": "client",
"members": [
{
"contact_id": "1f128fef-f499-4c88-a53e-75f235ccb65a",
"relationship": "head"
},
{
"contact_id": "36bb28a0-ace0-43cc-ae70-077c02fb58e5",
"relationship": "spouse"
}
]
}
'import requests
url = "https://api.vegaminds.com/v1/households"
payload = {
"name": "Ellis family",
"household_type": "client",
"members": [
{
"contact_id": "1f128fef-f499-4c88-a53e-75f235ccb65a",
"relationship": "head"
},
{
"contact_id": "36bb28a0-ace0-43cc-ae70-077c02fb58e5",
"relationship": "spouse"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Ellis family',
household_type: 'client',
members: [
{contact_id: '1f128fef-f499-4c88-a53e-75f235ccb65a', relationship: 'head'},
{contact_id: '36bb28a0-ace0-43cc-ae70-077c02fb58e5', relationship: 'spouse'}
]
})
};
fetch('https://api.vegaminds.com/v1/households', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"is_external": false,
"id": "46852331-f25c-4fcc-9d16-2162c96be9ad",
"name": "Ellis family",
"household_type": "client",
"members": [
{
"contact_id": "1f128fef-f499-4c88-a53e-75f235ccb65a",
"first_name": "Jordan",
"last_name": "Ellis",
"relationship": "head",
"contact_type": "client",
"email_addresses": [],
"phone_numbers": []
},
{
"contact_id": "36bb28a0-ace0-43cc-ae70-077c02fb58e5",
"first_name": "Sam",
"last_name": "Ellis",
"relationship": "spouse",
"contact_type": "client",
"email_addresses": [],
"phone_numbers": []
}
],
"created_on": "2026-03-02T14:06:48Z",
"updated_on": "2026-09-15T11:02:19Z",
"important_information": "Prefers afternoon calls.",
"financial_planning": "College savings and retirement.",
"investments": null,
"living_story": null,
"services": [
"financial_planning"
],
"custom_fields": [
{
"name": "Preferred review month",
"value": "April"
}
],
"roles": [],
"related_contacts": [],
"related_to_contacts": [],
"related_households": [],
"related_to_households": [],
"owner": null,
"creator": null,
"client_folder_url": null
}{
"error": {
"code": "invalid_request",
"message": "The request body is invalid.",
"fields": {
"email_addresses[0].address": "Must be an email address."
}
},
"request_id": "3f6c1e9a-2b7d-4c58-9e41-8a0d5b7f2c16"
}{
"error": {
"code": "invalid_token",
"message": "The access token is invalid, expired or revoked."
},
"request_id": "3f6c1e9a-2b7d-4c58-9e41-8a0d5b7f2c16"
}{
"error": {
"code": "insufficient_scope",
"message": "This request needs the contacts:write scope, which the user did not grant. Connect the user again, asking for it."
},
"request_id": "3f6c1e9a-2b7d-4c58-9e41-8a0d5b7f2c16"
}{
"error": {
"code": "rate_limited",
"message": "Too many requests. Wait the number of seconds in the Retry-After header, then try again."
}
}{
"error": {
"code": "internal_error",
"message": "Something went wrong on our side. Try again later, and contact Vega support with the request id if it keeps happening."
},
"request_id": "3f6c1e9a-2b7d-4c58-9e41-8a0d5b7f2c16"
}Households
Create a household
Creates a household owned by the connected user, with its members. Members are set here only; they are changed later in Vega.
POST
/
households
Create a household
curl --request POST \
--url https://api.vegaminds.com/v1/households \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Ellis family",
"household_type": "client",
"members": [
{
"contact_id": "1f128fef-f499-4c88-a53e-75f235ccb65a",
"relationship": "head"
},
{
"contact_id": "36bb28a0-ace0-43cc-ae70-077c02fb58e5",
"relationship": "spouse"
}
]
}
'import requests
url = "https://api.vegaminds.com/v1/households"
payload = {
"name": "Ellis family",
"household_type": "client",
"members": [
{
"contact_id": "1f128fef-f499-4c88-a53e-75f235ccb65a",
"relationship": "head"
},
{
"contact_id": "36bb28a0-ace0-43cc-ae70-077c02fb58e5",
"relationship": "spouse"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Ellis family',
household_type: 'client',
members: [
{contact_id: '1f128fef-f499-4c88-a53e-75f235ccb65a', relationship: 'head'},
{contact_id: '36bb28a0-ace0-43cc-ae70-077c02fb58e5', relationship: 'spouse'}
]
})
};
fetch('https://api.vegaminds.com/v1/households', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"is_external": false,
"id": "46852331-f25c-4fcc-9d16-2162c96be9ad",
"name": "Ellis family",
"household_type": "client",
"members": [
{
"contact_id": "1f128fef-f499-4c88-a53e-75f235ccb65a",
"first_name": "Jordan",
"last_name": "Ellis",
"relationship": "head",
"contact_type": "client",
"email_addresses": [],
"phone_numbers": []
},
{
"contact_id": "36bb28a0-ace0-43cc-ae70-077c02fb58e5",
"first_name": "Sam",
"last_name": "Ellis",
"relationship": "spouse",
"contact_type": "client",
"email_addresses": [],
"phone_numbers": []
}
],
"created_on": "2026-03-02T14:06:48Z",
"updated_on": "2026-09-15T11:02:19Z",
"important_information": "Prefers afternoon calls.",
"financial_planning": "College savings and retirement.",
"investments": null,
"living_story": null,
"services": [
"financial_planning"
],
"custom_fields": [
{
"name": "Preferred review month",
"value": "April"
}
],
"roles": [],
"related_contacts": [],
"related_to_contacts": [],
"related_households": [],
"related_to_households": [],
"owner": null,
"creator": null,
"client_folder_url": null
}{
"error": {
"code": "invalid_request",
"message": "The request body is invalid.",
"fields": {
"email_addresses[0].address": "Must be an email address."
}
},
"request_id": "3f6c1e9a-2b7d-4c58-9e41-8a0d5b7f2c16"
}{
"error": {
"code": "invalid_token",
"message": "The access token is invalid, expired or revoked."
},
"request_id": "3f6c1e9a-2b7d-4c58-9e41-8a0d5b7f2c16"
}{
"error": {
"code": "insufficient_scope",
"message": "This request needs the contacts:write scope, which the user did not grant. Connect the user again, asking for it."
},
"request_id": "3f6c1e9a-2b7d-4c58-9e41-8a0d5b7f2c16"
}{
"error": {
"code": "rate_limited",
"message": "Too many requests. Wait the number of seconds in the Retry-After header, then try again."
}
}{
"error": {
"code": "internal_error",
"message": "Something went wrong on our side. Try again later, and contact Vega support with the request id if it keeps happening."
},
"request_id": "3f6c1e9a-2b7d-4c58-9e41-8a0d5b7f2c16"
}Authorizations
Body
application/json
Response
The created household.
True when this record has an active integration link, including an export from Vega. This is current linkage, not historical origin, and is independent of linked contacts or households. Associated records cannot be patched or deleted through this API, except that a meeting may patch reviewed alone. No provider/account details are exposed.

